<?php
  session_start();

  include('../../php/conn.php');

  $error = "";
  $recuperacion = "";

  // if(isset($_SESSION["id"])){
  //   header('Location: clientes_resultados.php');
  // }

?>

<!DOCTYPE html>
  <html lang="es">
    <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <!-- Meta, title, CSS, favicons, etc. -->
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">

      <title>LIMS - Lab Perú Minerals</title>

      <!-- Bootstrap -->
      <link href="../vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
      <!-- Font Awesome -->
      <link href="../vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
      <!-- NProgress -->
      <link href="../vendors/nprogress/nprogress.css" rel="stylesheet">
      <!-- Animate.css -->
      <link href="../vendors/animate.css/animate.min.css" rel="stylesheet">

      <!-- Custom Theme Style -->
      <link href="../build/css/custom.min.css" rel="stylesheet">
    </head>

    <body class="" style="zoom: 80%; background-color: #ffffff">
      <div class="container body">
        <div class="main_container"><center>
          <div class="row" style="height: 300px">
          </div>

          <div class="row" style="text-align: center; border: solid; border-width: 1px; border-radius: 7px; border-color: #D9D9D9; background-color: #595959; height: 290px; width: 600px; box-shadow: 4px -4px 6px #999; margin-top: 10px">
            <div class="col-md-12 col-sm-12 col-xs-12" style="margin-top: 10px;">
              <label style="color: #ffffff; font-size: 15px">
                Visualización de Resultados para Clientes
              </label>

              <div class="ln_solid" style="margin-top: 5px"></div>
            </div>

            <div class="col-md-5 col-sm-5 col-xs-5" style="text-align: right; vertical-align: middle;margin-top: 5px; margin-left: 10px">
              <img src="images/logos/logo_nuevo.png" width="250px" style="border: solid; border-width: 1px; border-radius: 7px; border-color: #D9D9D9;"/>
            </div>

            <div class="col-md-7 col-sm-7 col-xs-7" style="margin-top: 15px; margin-left: -10px">
              <form class="form-horizontal form-label-left" style="margin-top: 10px">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label col-md-4 col-sm-4 col-xs-4" style="color: #ffffff">
                      RUC / DNI
                    </label>
                    <div class="col-md-8 col-sm-8 col-xs-8"><b>
                      <input type="hidden" name="accion" id="accion" style="visibility: 0;" />
                      <input type="text" id="usuario" class="form-control" placeholder="Ingrese su documento" name="usuario" required="" style="background-color: #F2A71B" />
                    </b></div>
                </div>

                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label col-md-4 col-sm-4 col-xs-4" style="color: #ffffff">
                      Clave
                    </label>
                    <div class="col-md-8 col-sm-8 col-xs-8"><b>
                      <input type="password" id="clave" class="form-control" placeholder="Clave" name="clave" required="" />
                    </b></div>
                </div>

                <!-- <div class="form-group col-md-12 col-sm-12 col-xs-12" style="margin-top: -5px">
                    <label class="control-label col-md-4 col-sm-4 col-xs-4" style="color: #ffffff">
                      
                    </label>
                    <label class="control-label col-md-8 col-sm-8 col-xs-8" style="color: #82B8D9; cursor: pointer;" onclick="f_CambiarClave()"><u>
                      Cambiar Clave
                    </u></label>
                </div> -->
              </form>
            </div>

            <div class="col-md-12 col-sm-12 col-xs-12" style="margin-top: 20px">
              <button type="button" class="btn btn-success" style="width: 500px; height: 50px" onclick="iniciar();">Iniciar sesión</button>
            </div>
          </div>
        </center></div>
      </div>

      <!-- <div>
        <a class="hiddenanchor" id="signup"></a>
        <a class="hiddenanchor" id="signin"></a>

        <div class="login_wrapper">
          <div class="animate form login_form">
            <section class="login_content">
  <?php
  if(strlen($error)>0){
  ?>

              <div class="alert alert-danger">
                <strong>Ocurrio un error!</strong> <?php echo $error; ?>
              </div>
  <?php
  }
  elseif(strlen($recuperacion)>0){
  ?>

              <div class="alert alert-success">
                <strong>Perfecto!</strong> <?php echo $recuperacion; ?>
              </div>
  <?php
  }
  ?>

              <form method="POST" id="formulario">
                <h1>Iniciar Sesión</h1>
                <div>
                  <input type="hidden" name="accion" id="accion" style="visibility: 0;" />
                  <input type="text" id="_cod_usuario" class="form-control" placeholder="Usuario" name="usuario" required="" />
                </div>
                <div>
                  <input type="password" class="form-control" placeholder="Clave" name="clave" required="" />
                </div>
                <div>
                  <button type="button" class="btn btn-success" onclick="iniciar();">Iniciar sesión</button>
                  <button type="button" class="btn btn-warning" onclick="f_CambiarClave()">Cambiar Clave</button>
                </div>

                <div class="clearfix"></div>

                <div class="separator"></div>

                <div class="clearfix"></div>
                <br />

                </div>
              </form>
            </section>
          </div>
        </div>
      </div> -->

      <!-- ************************************** Ventanas modal ************************************** -->
      <!-- Administrar Filtros (Nuevo y Editar) -->
      <div id="divmodal_CambiarClave" class="modal fade" role="dialog" data-backgrop="static" data-keyboard="false">
        <div class="modal-dialog" style="width: 40%; margin-top: 250px">
          <!-- Modal content-->
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal">
                &times;
              </button>

              <h4 class="modal-title">
                Cambiar Clave
              </h4>
            </div>

            <div class="modal-body">
              <form class="form-horizontal form-label-left">
                <br/>

                <div class="form-group">
                  <label class="control-label col-md-4 col-sm-4 col-xs-12">
                    <font color="#A63D33">Ingrese clave actual</font>
                  </label>
                  <div class="col-md-6 col-sm-6 col-xs-12">
                    <input type="text" id="clave_old" class="form-control col-md-7 col-xs-12"/>
                  </div>
                </div>

                <div class="form-group">
                  <label class="control-label col-md-4 col-sm-4 col-xs-12">
                    <font color="#2e94b5">Ingrese nueva clave</font>
                  </label>
                  <div class="col-md-6 col-sm-6 col-xs-12">
                    <input type="text" id="clave_new1" class="form-control col-md-7 col-xs-12"/>
                  </div>
                </div>

                <div class="form-group">
                  <label class="control-label col-md-4 col-sm-4 col-xs-12">
                    <font color="#2e94b5">Reingrese nueva clave</font>
                  </label>
                  <div class="col-md-6 col-sm-6 col-xs-12">
                    <input type="text" id="clave_new2" class="form-control col-md-7 col-xs-12"/>
                  </div>
                </div>

                <br/>

                <div class="ln_solid"></div>

                <div class="form-group">
                <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-4">
                  <button class="btn btn-dark" type="button" onclick="f_cerrarModal(1)">
                    Cancelar
                  </button>
                  <button class="btn btn-success" type="button" onclick="f_GrabarNuevaClave()">
                    Guardar
                  </button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>

      <div id="divmodal_Loading" class="modal fade" role="dialog" data-backgrop="static" data-keyboard="false" style="margin-top: 300px;">
          <div class="modal-dialog" style="height: 200px; opacity: 0.5;"><center>
              <img src="images/loading.gif" width="200px" style="border: solid; border-width: 1px; border-color: #D9D9D9;  border-radius: 15px;"></img>
          </center></div>
      </div>

      <!-- jQuery -->
      <script src="../vendors/jquery/dist/jquery.min.js"></script>
      <!-- Bootstrap -->
      <script src="../vendors/bootstrap/dist/js/bootstrap.min.js"></script>
      <!-- FastClick -->
      <script src="../vendors/fastclick/lib/fastclick.js"></script>
      <!-- NProgress -->
      <script src="../vendors/nprogress/nprogress.js"></script>
      <!-- Ion.RangeSlider -->
      <script src="../vendors/ion.rangeSlider/js/ion.rangeSlider.min.js"></script>
      <!-- Bootstrap Colorpicker -->
      <script src="../vendors/mjolnic-bootstrap-colorpicker/dist/js/bootstrap-colorpicker.min.js"></script>
      <!-- Custom Theme Scripts -->
      <script src="../build/js/custom.min.js"></script>

      <!-- bootstrap-daterangepicker -->
      <script src="../vendors/moment/min/moment.min.js"></script>
      <script src="../vendors/bootstrap-daterangepicker/daterangepicker.js"></script><!-- Datatables -->
      <script src="../vendors/datatables.net/js/jquery.dataTables.min.js"></script>
      <script src="../vendors/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
      <script src="../vendors/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
      <script src="../vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js"></script>
      <script src="../vendors/datatables.net-buttons/js/buttons.flash.min.js"></script>
      <script src="../vendors/datatables.net-buttons/js/buttons.html5.min.js"></script>
      <script src="../vendors/datatables.net-buttons/js/buttons.print.min.js"></script>
      <script src="../vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js"></script>
      <script src="../vendors/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
      <script src="../vendors/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
      <script src="../vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js"></script>
      <script src="../vendors/datatables.net-scroller/js/dataTables.scroller.min.js"></script>
      <script src="../vendors/jszip/dist/jszip.min.js"></script>
      <script src="../vendors/pdfmake/build/pdfmake.min.js"></script>
      <script src="../vendors/pdfmake/build/vfs_fonts.js"></script>

      <script language=javascript type=text/javascript>
        function iniciar(){
          var usuario = $("#usuario").val();
          var clave = $("#clave").val();

          // Valida ingreso de datos
            if (usuario == null){
              alert("Debe ingresar el Usuario");

              return;
            }
            if (usuario.length == 0){
              alert("Debe ingresar el Usuario");

              return;
            }

            if (clave == null){
              alert("Debe ingresar la Clave");

              return;
            }
            if (clave.length == 0){
              alert("Debe ingresar la Clave");

              return;
            }

          // Loading Modal
            var modal_loading = $("#divmodal_Loading");
            modal_loading.modal({backdrop: 'static', keyboard: false});

        // Cerrando Modal
            $('#divmodal_Loading').modal('hide');

          // Verifica usuario
            $.post( "ajax/encuesta.php", { accion: "LogIn_Cliente", Usuario: usuario, Clave: clave }, 
              function( data ) {
                  if(data.estado == 1){
                    window.location.href = 'http://labperuminerals.intelli-apps.com/panel/usuario/clientes_resultados.php';
                  }
                  else{
                    alert("El Usuario y/o Clave ingresados no son correctos.\n\nPor favor, verificar.");
                  }

                  // Cerrando Modal
                    $('#divmodal_Loading').modal('hide');
              }, "json");
        }

        function recuperar(){
          document.getElementById("accion").value="recuperar";
          document.getElementById("formulario").submit();
        }

        function f_CambiarClave(){
          $("#clave_old").val('');
          $("#clave_new1").val('');
          $("#clave_new2").val('');

          var cod_usuario = $("#usuario").val();

          // Validando datos
            if (cod_usuario == null){
              alert("Debe ingresar el usuario.");

              return;
            }
            if (cod_usuario.length == 0){
              alert("Debe ingresar el usuario.");

              return;
            }

          // Verificando que sea un usuario válido
            $.post( "ajax/encuesta.php", { accion: "Valida_UsuarioExistente", cod_usuario: cod_usuario },
              function( data ) {
                if(data.estado == 0){
                  alert("El usuario ingresado no es un usuario valido. Por favor, verificar");

                  return;
                }
                else{
                  var modal = $("#divmodal_CambiarClave");

                  modal.modal({backdrop: 'static', keyboard: false});
                }
            }, "json");
        }

        // Cerrar ventanas modales
        function f_cerrarModal(pantalla_modal){
          if (pantalla_modal == 1){
            $('#divmodal_CambiarClave').modal('hide');
          }
        }

        function f_GrabarNuevaClave(){
          var cod_usuario = $("#usuario").val();
          var clave_old = $("#clave_old").val();
          var clave_new1 = $("#clave_new1").val();
          var clave_new2 = $("#clave_new2").val();

          // Validando datos
            if (clave_old == null){
              alert("Debe ingresar la clave actual.");

              return;
            }
            if (clave_old.length == 0){
              alert("Debe ingresar la clave actual.");

              return;
            }

            if (clave_new1 == null){
              alert("Debe ingresar la nueva clave.");

              return;
            }
            if (clave_new1.length == 0){
              alert("Debe ingresar la nueva clave.");

              return;
            }

            if (clave_new2 == null){
              alert("Debe reingresar la nueva clave.");

              return;
            }
            if (clave_new2.length == 0){
              alert("Debe reingresar la nueva clave.");

              return;
            }

          // Comprobando ingreso de claves
            if (clave_old == clave_new1){
              alert("La nueva clave debe ser diferente a la actual. Por favor, verificar.");

              return;
            }

            if (clave_new1 != clave_new2){
              alert("La clave reingresada no coincide con la nueva clave. Por favor, verificar.");

              return;
            }

            if (clave_new1.length < 4){
              alert("La nueva clave debe tener al menos 4 caracteres. Por favor, verificar.");

              return;
            }

          // Loading Modal
            var modal_loading = $("#divmodal_Loading");
            modal_loading.modal({backdrop: 'static', keyboard: false});

          // Grabar información
            $.post( "ajax/encuesta.php", { accion: "ValidarClaveOld", cod_usuario: cod_usuario, clave_old: clave_old },
              function( data ) {
                if(data.estado == 1){
                  $.each( data.registros, function( key, val ) {
                    if (val._OK == 0){
                      alert("La clave actual ingresada no es correcta. Por favor, asegúrese de ingresarla correctamente.");

                      // Cerrando Modal
                        $('#divmodal_Loading').modal('hide');

                      return;
                    }
                    else{
                      $.post( "ajax/encuesta.php", { accion: "GrabarCambioClave", cod_usuario: cod_usuario, clave_new: clave_new1 }, 
                          function( data2 ) {
                            if(data2.estado == 1){
                              alert("La clave fue cambiada satisfactoriamente");

                              f_cerrarModal(1);
                            }
                            else{
                              alert("Ocurrió un error al momento de grabar los datos");
                            }

                            // Cerrando Modal
                              $('#divmodal_Loading').modal('hide');
                        }, "json");
                    }
                  });
                }
            }, "json");
        }

        function stopRKey(evt) {
          var evt = (evt) ? evt : ((event) ? event : null);
          var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);

          if (evt.keyCode == 13){
            iniciar();
          }
        }

        document.onkeypress = stopRKey;

        $(document).ready(function(){
            $("#_cod_usuario").focus();
        });

      </script>
    </body>
</html>

<?php
  cerrarSesion($enlace);
?>